<?php

/**
 * Coppermine Photo Gallery
 *
 * Copyright (c) 2003-2009 Coppermine Dev Team
 * v1.1 originally written by Gregory DEMAR
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Coppermine version: 1.4.25
 * Live HyperLinks Plugin ver 1.3
 * 30 September 2009
 * Plugin Written by Joe Carver - http://gallery.josephcarver.com/natural/ - http://i-imagine.net
*/

if (!defined('IN_COPPERMINE')) die('Not in Coppermine...');

// Add a filter to the output of image description
$thisplugin->add_filter('file_data','lnk_add_caption');

function lnk_add_caption($pic_data){ //$pic_data
	global $CONFIG;
	
	$func_name = array('*delete*','*edit*','*login*','*admin*','*albmgr*','*db_ecard*','*db_input*','*groupmgr*','*modifyalb*','*picEditor*','*register*','*relocate_server*','*upload*','*usermgr*');
        $str = 	($pic_data['caption']);
	        $filt = array();
        foreach($func_name as $word) {
            $filt[] = '/' . ($word[0] == '*' ? '': '\b') . str_replace('*', '', $word) . ($word[(strlen($word)-1)] == '*' ? '': '\b') . '/i';
        }
        $str = preg_replace($filt, '(...)', $str);
    
	$pic_data['caption'] = $str;
	
	$pic_data['caption'] = make_clickable($pic_data['caption']);
	
	
	return $pic_data; 
}

?>
